package com.kuyuntech.cofarcooking.device.sdk.devmode.airfryer;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.AirFryerWorkModes;
import com.kuyuntech.cofarcooking.device.sdk.devmode.core.BaseDevMode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class AfDiy extends BaseDevMode {


    public AfDiy(){

        this.setMode(AirFryerWorkModes.AF_DIY);

        //时间
        this.setMinTime(0);
        this.setMaxTime(60 * 60);
        this.setDefaultTime(0);
        this.setTimeChange(true);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(200);
        this.setTempChange(true);

    }

}
