package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;

public class Puree extends BaseDevMode{

    public Puree(){

        this.setMode(WorkModes.PUREE);


        //时间
        this.setMinTime(0);
        this.setMaxTime(2 * 60);
        this.setDefaultTime(30);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(8);
        this.setMaxMotorGear(8);
        this.setMaxMotorGear(8);
        this.setMotorDirection(MotorDirections.FORWARD);
        this.setMotorGearChange(false);
        this.setMotorDirectionChange(false);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(0);
        this.setTempChange(false);

    }


}
